VegBank - Bug #696

Implement reference and party-related database changes
11/13/2002 01:43 PM - Michael Lee

Status: Resolved Start date: 11/13/2002
Priority: Immediate Due date:

Assignee: Gabriel Farrell % Done: 0%
Category: misc Estimated time: 0.00 hour
Target version: UnMilestoned Spent time: 0.00 hour
Bugzilla-ld: 696

Description

JH completes.

Related issues:

Is duplicate of VegBank - Bug #799: Implement new Citation datamodel - VegBan... Resolved 11/13/2002
Blocks VegBank - Bug #697: [293] Revision and review of data model for Refere... Resolved 11/13/2002
Blocked by VegBank - Bug #703: Enter 1996 & 2002 USDA Plants List Resolved 11/13/2002
History

#1 - 11/26/2002 04:34 PM - Michael Lee

This is the third step of a 3 part bug. First PI's need to refine the data
model for references and citations. Then, MTL will implement as possible and
then this bug can be finished.

#2 - 11/30/2002 02:21 PM - Michael Lee

The revision mentioned by the PI's will not be ready until circa Dec 9, after a
meeting in D.C. with similar organizations.

#3 - 01/07/2003 10:09 AM - Michael Lee

This is an XML document that shows the structure of the new references data
format that will be added to the plots, comm, and plants modules.

#4 - 01/07/2003 11:56 AM - Michael Lee

This is a SQL statement that creates the new reference tables for all 3
modules. It also creates the appropriate relationships. It adds auxillary
tables for the closed lists that are associated with these tables and inserts
the lists values.

Currently, alternateldentifier is orphaned; | assume we need to add a FK into
the citation (reference) table that would link to alternateldentifier.

#5 - 01/07/2003 11:59 AM - Michael Lee

added nulls attribute to each field, which was necessary for generating SQL.
These could change - this is just a first cut at which fields should be
required.

#6 - 01/07/2003 12:03 PM - Michael Lee

This is a Visio diagram that shows the relationship of the citation tables that
represent the new reference model. Alternateldentifier is orphaned, which
needs a solution.

#7 - 01/08/2003 01:25 PM - John Harris

Due to:

1] Gabe starting work on the vegbank codebase and the desire to have him work
with 'working' code

2] the extensiveness of these changes

this bug is set to 1.0.0beta2

#8 - 01/15/2003 10:19 AM - Michael Lee
To download, save as a .zip (or rename once saved), then extract. This is only
the references model, not the rest of the db. Again, alternateldentifier is
orphaned and that needs to be addressed, as | doubt this is correct.

#10 - 01/16/2003 04:34 AM - Robert Peet

Notes on the ACCESS version of the reference model

For all fields in my email of 12 Dec where | had an *, grab the definition
from
http://knb.ecoinformatics.org/software/eml/eml-2.0.0/eml-literature.html
and embed it in the definition field in the ACCESS database.

1. aux_citation_citationType. Why SortOrd? Not sure what this ordering is
about.

2. Table: aux_citation_titleSuperior. You missed the point here.
Citation:titleSuperior is not a constrained list, but contains a second,

higher order title where appropriate, which in the case of a chapter is a Book
title, and in the case of a Conference Presentation is the Name of the
Conference.

3. aux_citationContributor_roleType. Why SortOrd? Not sure what this ordering
is about.

4. Citation:communicationType. This will be an open list, probably maintained
in aux_communicationType. Examples include memo, letter, email

5. CitationAlternateldentifier needs to have a field that is a FK back to
citation.

6. Aux_CitationAlternateldentifier_system is missing. This is aa open list.
This could be any identifier system. The EML definition is “An additional,
secondary identifier for this entity. The primary identifier belongs in

the "id" attribute, but additional identifiers that are used to label this

entity, possibly from different data management systems, can be listed here.”

#11 - 03/21/2003 05:25 PM - Gabriel Farrell
This work is complete.
Caveats:

The forms for filling in references need to be updated to capture the new data.
e.g. We have a field called authors that must be replaced with many fields.

The vegbranch plots loader doesn't do references, i.e. has never done them.

#12 - 03/27/2003 07:36 PM - Gabriel Farrell

*kk

* Bug 799 has been marked as a duplicate of this bug.

#13 - 01/31/2005 02:54 PM - Michael Lee

changed from components that are to be deleted to "misc" so that bugs don't get
deleted with component. Sorry for all the email.

#14 - 03/27/2013 02:15 PM - Redmine Admin
Original Bugzilla ID was 696

Files

NewRefPkg_Three.xml 46.1 KB 01/07/2003 Michael Lee
NewRef_3.sql 15.6 KB 01/07/2003 Michael Lee
NewRefPkg_Three.xml 49.6 KB 01/07/20083 Michael Lee
NewRefSchema_citationOnly.vsd 137 KB 01/07/2003 Michael Lee
NewReflmpl.zip 71.4 KB 01/15/20083 Michael Lee
NewCitationERD.jpg 64.8 KB 01/15/20083 Michael Lee
